##
##  php-composer.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_opkg 2.8.2
%define       V_dist 2.8.2

#   package information
Name:         php-composer
Summary:      PHP Dependency Manager
URL:          http://getcomposer.org/
Vendor:       Nils Adermann, Jordi Boggiano
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Language
License:      MIT
Version:      %{V_opkg}
Release:      20241029

#   list of sources
Source0:      https://getcomposer.org/download/%{V_dist}/composer.phar
Source1:      composer.sh

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101
PreReq:       apache-php
PreReq:       apache-php::with_phar = yes
PreReq:       apache-php::with_json = yes
PreReq:       apache-php::with_hash = yes

%description
    Composer is a tool for dependency management in PHP. It allows you
    to declare the dependent libraries your project needs and it will
    install them in your project for you.

%track
    prog php-composer = {
        version   = %{V_dist}
        url       = https://getcomposer.org/download/
        regex     = download/(\d+\.\d+\.\d+)/composer\.phar
    }

%prep
    %setup -q -c -T

%build

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/php-composer
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE composer.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/composer
    %{l_shtool} install -c -m 644 \
        %{SOURCE composer.phar} \
        $RPM_BUILD_ROOT%{l_prefix}/lib/php-composer/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

